import qualified Data.List (nub,sort, reverse)

uniqueReverseList :: (Eq a, Ord a) => [a] -> [a]
uniqueReverseList list = Data.List.reverse (Data.List.sort (Data.List.nub list))


main :: IO ()
main = do
    
    let x = uniqueReverseList [2,1,13,1,27,71,59,43] == [71,59,43,27,13,2,1]
    let y = uniqueReverseList "abcde" == "edcba"
    
    if x == y
    then putStrLn "Funktion funktioniert"
    else putStrLn "Funktion funktioniert nicht"
